/* Date/time header.
   Rick Smereka, Copyright (C) 2002-2004.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, get a copy via the Internet at
   http://gnu.org/copyleft/gpl.html or write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston,
   MA 02111-1307 USA

   You can contact the author via email at rsmereka@future-lab.com

   Original Linux version. Moved function 'get_time' from 'parse.c'
   to this module. May/2002, Rick Smereka

   Ported to 32-bit Windows. Jun/2002, Rick Smereka

   Ported to DOS and QNX 4.x. Jul/2002, Rick Smereka

   Ported to Debian Linux. Oct/2002, Rick Smereka

   Added prototypes 'run_year' and 'get_ftime'. 
   Ported to Debian Linux. Nov/2002, Rick Smereka

   Added prototypes 'days_in_month' and 'isleap'.
   Jan/2004, Rick Smereka

   Added prototypes 'juldate' and 'datdif'. Dec/2004,
   Rick Smereka */

#ifdef __cplusplus
extern "C"
{
#endif

int datime_month_name_2_num(char *);
int datime_month_num_2_name(int, char *);
void get_ftime(char *);
void get_time(char *);
int datime_hour12_2_hour24(char *, char *, int);
int run_year(void);
int days_in_month(int, int);
int isleap(int);
int juldate(char *, int *);
int datdif(char *, char *, int *);

#ifdef __cplusplus
}
#endif
